import React, { useState } from 'react';
import { View } from 'react-native';

import PageWrapper from '../../../components/PageWrapper';
import Header from '../../../components/Header';
import BigText from '../../../components/BigText';
import Input from '../../../components/Input';
import Button from '../../../components/Button';
import CheckBox from '../../../components/CheckBox';

const JoinUsScreen = () => {
  const [agreed, setAgreed] = useState(false);

  return (
    <PageWrapper>
      <Header label={'Sign Up'} />
      <View style={{ gap: 15 }}>
        <BigText>Join us. It's free!</BigText>
        <Input onChange={() => {}} placeholder={'Text'} header={'Username'} />
        <Input
          onChange={() => {}}
          placeholder={'Email'}
          inputMode={'email'}
          header={'Email address'}
        />
        <Input onChange={() => {}} placeholder={'Text'} isPrivate={true} header={'Password'} />
        <Input
          onChange={() => {}}
          placeholder={'Text'}
          isPrivate={true}
          header={'Confirm password'}
        />
        <CheckBox
          label={'I accept NM Terms & Conditions'}
          onChange={(b) => setAgreed(b)}
          value={agreed}
        />
      </View>
      <View style={{ marginTop: '15%' }}>
        <Button>Continue</Button>
      </View>
    </PageWrapper>
  );
};

export default JoinUsScreen;
